5.2.3. EGL contexts

The EGL implementation supports OpenGL ES 2.0 and OpenGL ES 1.1. It does not support OpenVG. contexts.

The EGL 1.3 specification defines the default for attribute EGL_CONTEXT_CLIENT_VERSION to be the value 1. This implies EGL 1.3 is requesting a configuration for OpenGL ES 1.x support. Setting the value to 2 selects OpenGL ES 2.0 support.

To obtain a valid context, set EGL_CONTEXT_CLIENT_VERSION to the either 1 or 2 in the attributes list. Any other values result in context creation failing.

Copyright © 2009-2012 ARM. All rights reserved.ARM DUI 0511E
Non-ConfidentialID042812